# Get a call recording

In order to retrieve a active recording metadata, you can use the following endpoint.

## Get channel call recording

> Get a channel call recording

```json
{"openapi":"3.0.3","info":{"title":"Channels","version":"v1"},"tags":[],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"CallRecording":{"type":"object","title":"ChannelCallRecording","additionalProperties":false,"properties":{"id":{"type":"string","format":"uuid"},"callId":{"type":"string","format":"uuid"},"channelId":{"type":"string","format":"uuid"},"status":{"$ref":"#/components/schemas/CallRecordingStatus"},"origin":{"$ref":"#/components/schemas/CallRecordingOrigin"},"duration":{"type":"integer"},"stereo":{"type":"boolean"},"endCause":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"startedAt":{"type":"string","format":"date-time"},"endedAt":{"type":"string","format":"date-time"}},"required":["id","callId","status","origin","createdAt","updatedAt"]},"CallRecordingStatus":{"type":"string","enum":["accepted","ongoing","paused","completed","available","absent","failed"]},"CallRecordingOrigin":{"type":"string","enum":["call-command-record","call-command-record-call","create-call","bridge-call"]},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"}},"responses":{"requestError":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"An error"}}},"paths":{"/workspaces/{workspaceId}/channels/{channelId}/calls/{callId}/recordings/{recordingId}":{"get":{"summary":"Get channel call recording","operationId":"getChannelCallRecording","description":"Get a channel call recording","tags":["channel_call_recording"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CallRecording"}}}},"404":{"$ref":"#/components/responses/requestError"}}}}}}
```

### Example 1: Get a specific call recording

{% tabs %}
{% tab title="Request Headers" %}

```
curl "https://api.bird.com/workspaces/{workspaceId}/channels/{channelId}/calls/{callId}/recordings/{recordingId}" \
     -H "Authorization: AccessKey YOUR_SECRET_TOKEN"
```

{% endtab %}

{% tab title="Request Body" %}

```
// N/A
```

{% endtab %}

{% tab title="Response" %}

```
{
  "id": "32b98cd8-db4b-4a47-816e-ff7ff72b1da6",
  "channelId": "880d8171-cbab-47bb-81b6-b1a0902da136",
  "callId": "0b4cbfa2-813f-4b93-8007-265875bb88bb",
  "status": "available",
  "origin": "create-call",
  "duration": 0,
  "stereo": false,
  "createdAt": "2023-10-26T18:28:55.646Z",
  "updatedAt": "2023-10-26T18:28:55.646Z",
  "startedAt": "2023-10-26T18:28:55.373Z",
  "endedAt": "0001-01-01T00:00:00Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/voice-api/voice-calls-api/get-a-call-recording.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
